###  | #  |

Public Member Functions | List of all members
pixel_divides_scalar_t< PixelRef, Scalar, PixelResult > Struct Template Reference

Performs channel-wise division of pixel elements by scalar. More...

`#include <pixel_numeric_operations.hpp>`

## Public Member Functions
auto | operator() (PixelRef const &p, Scalar const &s) const -> PixelResult

## Detailed Description

template<typename PixelRef, typename Scalar, typename PixelResult>
struct boost::gil::pixel_divides_scalar_t< PixelRef, Scalar, PixelResult >

Performs channel-wise division of pixel elements by scalar.

Template Parameters

  PixelRef | - models PixelConcept
  Scalar | - models a scalar type
  PixelResult | - models PixelValueConcept

The documentation for this struct was generated from the following file:

- pixel_numeric_operations.hpp